For the complete documentation index, see llms.txt. This page is also available as Markdown.

Affiliate Links

Authorizations
AuthorizationstringRequired

An API Key token generated in the Dashboard in the format 'APIKey TOKEN_HERE'.

Path parameters
storeIdstring · flake-idRequiredExample: 411486491630370816
Responses
200

OK

application/json

Represents a detailed view of an affiliate link, including configuration and audit information.

idstring · flake-idRequiredExample: 411486491630370816
store_idstring · flake-idRequiredExample: 411486491630370816
wallet_idstringRequired

The identifier of the wallet that receives the affiliate commission payouts.

enabledbooleanRequired

Indicates whether the affiliate link is enabled.

codestringRequired

The unique code associated with the affiliate link.

referer_typestring · enumRequired

Specifies which affiliate link is credited when a customer follows multiple links before purchasing.

Possible values:
tracking_length_daysinteger · int32Required

The number of days a customer's referral is tracked after following the affiliate link.

apply_for_subscriptionsbooleanRequired

Whether the affiliate earns commission on subscription renewals. Must be enabled for 'commission_amount_steps' past the first cycle to apply - when disabled, only the initial purchase earns commission.

discount_typestring · enumRequired

Specifies the type of discount offered to customers referred through an affiliate link.

Possible values:
discount_amountinteger · int64Required

The discount amount, in the smallest currency unit (e.g., cents) for fixed discounts, or tenths of a percent (e.g., 125 = 12.5%) for percentage discounts.

commission_typestring · enumRequired

Specifies the type of commission an affiliate earns from referred purchases.

Possible values:
commission_amountinteger · int64Required

The commission amount, in tenths of a percent (e.g., 125 = 12.5%) for percentage commissions.

last_commission_amount_step_repeatsbooleanRequired

Whether the last commission amount steps rate continues to apply to all billing cycles past the last step. When false, cycles past the last step earn no commission.

created_atstring · date-timeRequired

The date and time when the affiliate link was created.

updated_atstring · nullableOptional

The date and time when the affiliate link was last updated.

get/v1/stores/{storeId}/affiliate-links
GET /v1/stores/{storeId}/affiliate-links HTTP/1.1
Authorization: APIKey TOKEN_HERE
Accept: */*
[
  {
    "id": "411486491630370816",
    "store_id": "411486491630370816",
    "wallet_id": "text",
    "enabled": true,
    "code": "text",
    "referer_type": "invalid",
    "tracking_length_days": 1,
    "apply_for_subscriptions": true,
    "discount_type": "none",
    "discount_amount": 1,
    "commission_type": "none",
    "commission_amount": 1,
    "commission_amount_steps": [
      {
        "billing_cycle_sequence": 1,
        "commission_amount": 1
      }
    ],
    "last_commission_amount_step_repeats": true,
    "created_by": {
      "type": "anonymous",
      "id": "411486491630370816"
    },
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_by": {
      "type": "anonymous",
      "id": "411486491630370816"
    },
    "updated_at": null
  }
]
post
Authorizations
AuthorizationstringRequired

An API Key token generated in the Dashboard in the format 'APIKey TOKEN_HERE'.

Path parameters
storeIdstring · flake-idRequiredExample: 411486491630370816
Body
wallet_idstringRequired
enabledbooleanRequired
codestringRequired
referer_typestring · enumRequired

Specifies which affiliate link is credited when a customer follows multiple links before purchasing.

Possible values:
tracking_length_daysinteger · int32Required
apply_for_subscriptionsbooleanRequired
discount_typestring · enumRequired

Specifies the type of discount offered to customers referred through an affiliate link.

Possible values:
discount_amountinteger · int64Required
commission_typestring · enumRequired

Specifies the type of commission an affiliate earns from referred purchases.

Possible values:
commission_amountinteger · int64Required
last_commission_amount_step_repeatsbooleanRequired
Responses
200

OK

application/json

Represents a detailed view of an affiliate link, including configuration and audit information.

idstring · flake-idRequiredExample: 411486491630370816
store_idstring · flake-idRequiredExample: 411486491630370816
wallet_idstringRequired

The identifier of the wallet that receives the affiliate commission payouts.

enabledbooleanRequired

Indicates whether the affiliate link is enabled.

codestringRequired

The unique code associated with the affiliate link.

referer_typestring · enumRequired

Specifies which affiliate link is credited when a customer follows multiple links before purchasing.

Possible values:
tracking_length_daysinteger · int32Required

The number of days a customer's referral is tracked after following the affiliate link.

apply_for_subscriptionsbooleanRequired

Whether the affiliate earns commission on subscription renewals. Must be enabled for 'commission_amount_steps' past the first cycle to apply - when disabled, only the initial purchase earns commission.

discount_typestring · enumRequired

Specifies the type of discount offered to customers referred through an affiliate link.

Possible values:
discount_amountinteger · int64Required

The discount amount, in the smallest currency unit (e.g., cents) for fixed discounts, or tenths of a percent (e.g., 125 = 12.5%) for percentage discounts.

commission_typestring · enumRequired

Specifies the type of commission an affiliate earns from referred purchases.

Possible values:
commission_amountinteger · int64Required

The commission amount, in tenths of a percent (e.g., 125 = 12.5%) for percentage commissions.

last_commission_amount_step_repeatsbooleanRequired

Whether the last commission amount steps rate continues to apply to all billing cycles past the last step. When false, cycles past the last step earn no commission.

created_atstring · date-timeRequired

The date and time when the affiliate link was created.

updated_atstring · nullableOptional

The date and time when the affiliate link was last updated.

post/v1/stores/{storeId}/affiliate-links
POST /v1/stores/{storeId}/affiliate-links HTTP/1.1
Authorization: APIKey TOKEN_HERE
Content-Type: application/json
Accept: */*
Content-Length: 342

{
  "wallet_id": "text",
  "enabled": true,
  "code": "text",
  "referer_type": "invalid",
  "tracking_length_days": 1,
  "apply_for_subscriptions": true,
  "discount_type": "none",
  "discount_amount": 1,
  "commission_type": "none",
  "commission_amount": 1,
  "commission_amount_steps": [
    {
      "billing_cycle_sequence": 1,
      "commission_amount": 1
    }
  ],
  "last_commission_amount_step_repeats": true
}
{
  "id": "411486491630370816",
  "store_id": "411486491630370816",
  "wallet_id": "text",
  "enabled": true,
  "code": "text",
  "referer_type": "invalid",
  "tracking_length_days": 1,
  "apply_for_subscriptions": true,
  "discount_type": "none",
  "discount_amount": 1,
  "commission_type": "none",
  "commission_amount": 1,
  "commission_amount_steps": [
    {
      "billing_cycle_sequence": 1,
      "commission_amount": 1
    }
  ],
  "last_commission_amount_step_repeats": true,
  "created_by": {
    "type": "anonymous",
    "id": "411486491630370816"
  },
  "created_at": "2026-01-01T00:00:00.000Z",
  "updated_by": {
    "type": "anonymous",
    "id": "411486491630370816"
  },
  "updated_at": null
}
Authorizations
AuthorizationstringRequired

An API Key token generated in the Dashboard in the format 'APIKey TOKEN_HERE'.

Path parameters
storeIdstring · flake-idRequiredExample: 411486491630370816
affiliateLinkIdstring · flake-idRequiredExample: 411486491630370816
Responses
200

OK

application/json

Represents a detailed view of an affiliate link, including configuration and audit information.

idstring · flake-idRequiredExample: 411486491630370816
store_idstring · flake-idRequiredExample: 411486491630370816
wallet_idstringRequired

The identifier of the wallet that receives the affiliate commission payouts.

enabledbooleanRequired

Indicates whether the affiliate link is enabled.

codestringRequired

The unique code associated with the affiliate link.

referer_typestring · enumRequired

Specifies which affiliate link is credited when a customer follows multiple links before purchasing.

Possible values:
tracking_length_daysinteger · int32Required

The number of days a customer's referral is tracked after following the affiliate link.

apply_for_subscriptionsbooleanRequired

Whether the affiliate earns commission on subscription renewals. Must be enabled for 'commission_amount_steps' past the first cycle to apply - when disabled, only the initial purchase earns commission.

discount_typestring · enumRequired

Specifies the type of discount offered to customers referred through an affiliate link.

Possible values:
discount_amountinteger · int64Required

The discount amount, in the smallest currency unit (e.g., cents) for fixed discounts, or tenths of a percent (e.g., 125 = 12.5%) for percentage discounts.

commission_typestring · enumRequired

Specifies the type of commission an affiliate earns from referred purchases.

Possible values:
commission_amountinteger · int64Required

The commission amount, in tenths of a percent (e.g., 125 = 12.5%) for percentage commissions.

last_commission_amount_step_repeatsbooleanRequired

Whether the last commission amount steps rate continues to apply to all billing cycles past the last step. When false, cycles past the last step earn no commission.

created_atstring · date-timeRequired

The date and time when the affiliate link was created.

updated_atstring · nullableOptional

The date and time when the affiliate link was last updated.

get/v1/stores/{storeId}/affiliate-links/{affiliateLinkId}
GET /v1/stores/{storeId}/affiliate-links/{affiliateLinkId} HTTP/1.1
Authorization: APIKey TOKEN_HERE
Accept: */*
{
  "id": "411486491630370816",
  "store_id": "411486491630370816",
  "wallet_id": "text",
  "enabled": true,
  "code": "text",
  "referer_type": "invalid",
  "tracking_length_days": 1,
  "apply_for_subscriptions": true,
  "discount_type": "none",
  "discount_amount": 1,
  "commission_type": "none",
  "commission_amount": 1,
  "commission_amount_steps": [
    {
      "billing_cycle_sequence": 1,
      "commission_amount": 1
    }
  ],
  "last_commission_amount_step_repeats": true,
  "created_by": {
    "type": "anonymous",
    "id": "411486491630370816"
  },
  "created_at": "2026-01-01T00:00:00.000Z",
  "updated_by": {
    "type": "anonymous",
    "id": "411486491630370816"
  },
  "updated_at": null
}
Authorizations
AuthorizationstringRequired

An API Key token generated in the Dashboard in the format 'APIKey TOKEN_HERE'.

Path parameters
storeIdstring · flake-idRequiredExample: 411486491630370816
affiliateLinkIdstring · flake-idRequiredExample: 411486491630370816
Responses
204

No Content

No content

delete/v1/stores/{storeId}/affiliate-links/{affiliateLinkId}
DELETE /v1/stores/{storeId}/affiliate-links/{affiliateLinkId} HTTP/1.1
Authorization: APIKey TOKEN_HERE
Accept: */*

No content

Authorizations
AuthorizationstringRequired

An API Key token generated in the Dashboard in the format 'APIKey TOKEN_HERE'.

Path parameters
storeIdstring · flake-idRequiredExample: 411486491630370816
affiliateLinkIdstring · flake-idRequiredExample: 411486491630370816
Body
wallet_idstringOptional
enabledbooleanOptional
codestringOptional
referer_typestring · enumOptional

Specifies which affiliate link is credited when a customer follows multiple links before purchasing.

Possible values:
tracking_length_daysinteger · int32Optional
apply_for_subscriptionsbooleanOptional
discount_typestring · enumOptional

Specifies the type of discount offered to customers referred through an affiliate link.

Possible values:
discount_amountinteger · int64Optional
commission_typestring · enumOptional

Specifies the type of commission an affiliate earns from referred purchases.

Possible values:
commission_amountinteger · int64Optional
last_commission_amount_step_repeatsbooleanOptional
Responses
200

OK

application/json

Represents a detailed view of an affiliate link, including configuration and audit information.

idstring · flake-idRequiredExample: 411486491630370816
store_idstring · flake-idRequiredExample: 411486491630370816
wallet_idstringRequired

The identifier of the wallet that receives the affiliate commission payouts.

enabledbooleanRequired

Indicates whether the affiliate link is enabled.

codestringRequired

The unique code associated with the affiliate link.

referer_typestring · enumRequired

Specifies which affiliate link is credited when a customer follows multiple links before purchasing.

Possible values:
tracking_length_daysinteger · int32Required

The number of days a customer's referral is tracked after following the affiliate link.

apply_for_subscriptionsbooleanRequired

Whether the affiliate earns commission on subscription renewals. Must be enabled for 'commission_amount_steps' past the first cycle to apply - when disabled, only the initial purchase earns commission.

discount_typestring · enumRequired

Specifies the type of discount offered to customers referred through an affiliate link.

Possible values:
discount_amountinteger · int64Required

The discount amount, in the smallest currency unit (e.g., cents) for fixed discounts, or tenths of a percent (e.g., 125 = 12.5%) for percentage discounts.

commission_typestring · enumRequired

Specifies the type of commission an affiliate earns from referred purchases.

Possible values:
commission_amountinteger · int64Required

The commission amount, in tenths of a percent (e.g., 125 = 12.5%) for percentage commissions.

last_commission_amount_step_repeatsbooleanRequired

Whether the last commission amount steps rate continues to apply to all billing cycles past the last step. When false, cycles past the last step earn no commission.

created_atstring · date-timeRequired

The date and time when the affiliate link was created.

updated_atstring · nullableOptional

The date and time when the affiliate link was last updated.

patch/v1/stores/{storeId}/affiliate-links/{affiliateLinkId}
PATCH /v1/stores/{storeId}/affiliate-links/{affiliateLinkId} HTTP/1.1
Authorization: APIKey TOKEN_HERE
Content-Type: application/json
Accept: */*
Content-Length: 342

{
  "wallet_id": "text",
  "enabled": true,
  "code": "text",
  "referer_type": "invalid",
  "tracking_length_days": 1,
  "apply_for_subscriptions": true,
  "discount_type": "none",
  "discount_amount": 1,
  "commission_type": "none",
  "commission_amount": 1,
  "commission_amount_steps": [
    {
      "billing_cycle_sequence": 1,
      "commission_amount": 1
    }
  ],
  "last_commission_amount_step_repeats": true
}
{
  "id": "411486491630370816",
  "store_id": "411486491630370816",
  "wallet_id": "text",
  "enabled": true,
  "code": "text",
  "referer_type": "invalid",
  "tracking_length_days": 1,
  "apply_for_subscriptions": true,
  "discount_type": "none",
  "discount_amount": 1,
  "commission_type": "none",
  "commission_amount": 1,
  "commission_amount_steps": [
    {
      "billing_cycle_sequence": 1,
      "commission_amount": 1
    }
  ],
  "last_commission_amount_step_repeats": true,
  "created_by": {
    "type": "anonymous",
    "id": "411486491630370816"
  },
  "created_at": "2026-01-01T00:00:00.000Z",
  "updated_by": {
    "type": "anonymous",
    "id": "411486491630370816"
  },
  "updated_at": null
}

Last updated

Was this helpful?